another linux question

Operating Systems
Windows, Linux, Solaris, Red Hat, etc.....32 bit or 64 bit.
If its an OS, its here.
Post Reply
User avatar
bubba
Staff Writer
Staff Writer
Posts: 4726
Joined: Sun May 01, 2005 10:24 am
Location: STL

another linux question

Post by bubba » Thu Jan 15, 2009 9:41 am

ok, how do you find what RPM package holds a lib? trying to install a program and it tells me I have a failed dependency: libXm.so.3
"The democracy will cease to exist when you take away from those who are willing to work and give to those who would not."
-Thomas Jefferson

User avatar
Alathald
Legit Extremist
Legit Extremist
Posts: 1630
Joined: Sun Dec 17, 2006 11:55 pm
Location: Southern Ohio
Contact:

Re: another linux question

Post by Alathald » Thu Jan 15, 2009 12:34 pm

Which distro are you running? and which program are you trying to install? If it's a DEB based distro you technically can install a RPM but its not suggested. The best way to install most programs though is through the package manager which will handle all dependencies for you.
Image

User avatar
bubba
Staff Writer
Staff Writer
Posts: 4726
Joined: Sun May 01, 2005 10:24 am
Location: STL

Re: another linux question

Post by bubba » Thu Jan 15, 2009 12:57 pm

I'm trying to load iSeries Client Access on openSUSE (couldn't get openMOTIF on Ubuntu or Fedora)

The RPM manager tells me when I try to install the Client Access that it failed due to X dependencies, looked those up and installed the corresponding program.

The Client Access needs openMOTIF 2.0 or later, unixODBC diver manager 2.0.11 or later, RPM 3.0, and GLibc 2.0

Fairly sure I have this stuff installed, but will go back thru the RPM manager and see if I missed a library some where.
"The democracy will cease to exist when you take away from those who are willing to work and give to those who would not."
-Thomas Jefferson

User avatar
turnsoutitwas
Legit Enthusiast
Legit Enthusiast
Posts: 41
Joined: Thu Nov 13, 2008 4:35 pm

Re: another linux question

Post by turnsoutitwas » Thu Jan 15, 2009 1:08 pm

openmotif is not instaled

if you're using 64 bit Suse, then you need to install the 32 bit version of openmotif

User avatar
bubba
Staff Writer
Staff Writer
Posts: 4726
Joined: Sun May 01, 2005 10:24 am
Location: STL

Re: another linux question

Post by bubba » Thu Jan 15, 2009 2:59 pm

32 bit for both, all lib for openMotif are installed.

Think tomorrow I will nuke it and start over. New to linux, already cant stand it. Something as simple as a friggen 5250 emulator has been a royal pain in the backside.

Was trying to do this with the RPM from IBM, but looks like I will have to try it with one of the opensource ones. was avoiding it because they ALL have to be complied from CVS downlaods... what ever the hell that is.

all this so I can save the company a buck and not send some old hardware to the recycle center. ](*,)
"The democracy will cease to exist when you take away from those who are willing to work and give to those who would not."
-Thomas Jefferson

Post Reply